gnutls_hash_get_len(3)

NAME
gnutls_hash_get_len - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_hash_get_len(gnutls_digest_algorithm_t algorithm);

ARGUMENTS

gnutls_digest_algorithm_t algorithm
    the hash algorithm to use

DESCRIPTION
This function will return the length of the output data of the given hash algorithm.

RETURNS
The length or zero on error.

SINCE
2.10.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.